<?php

use think\facade\Route;

Route::rule('login', 'admin/Common/login');//登录
Route::rule('logout', 'admin/Common/logout');//登出
Route::rule('upload', 'admin/Common/upload');//上传图片

//【版本】
Route::rule('version', 'admin/Version/lastVersion');//最新版本
Route::rule('versionList', 'Admin/Version/getList');//版本列表
Route::rule('versionAdd', 'Admin/Version/create');//新建版本

//【菜单】
Route::rule('menuList', 'admin/Menu/list');//获取用户菜单列表
Route::rule('menuAll', 'admin/Menu/all');//获取全部菜单
Route::rule('menuAdd', 'admin/Menu/add');//添加菜单
Route::rule('menuSave', 'admin/Menu/edit');//编辑菜单
Route::rule('menuDel', 'admin/Menu/delete');//删除菜单
Route::rule('menuStatus', 'admin/Menu/status');//启禁用菜单
Route::rule('menuActionAdd', 'admin/Action/add');//给菜单添加按钮
Route::rule('menuAction', 'admin/Action/list');//获取菜单下按钮列表
Route::rule('menuActionStatus', 'admin/Action/status');//菜单下按钮启禁用
Route::rule('menuActionSave', 'admin/Action/edit');//修改菜单下按钮
Route::rule('menuActionDel', 'admin/Action/delete');//删除菜单下按钮
Route::rule('menuActionlist', 'admin/Action/index');//获取所有菜单下的所有按钮

//【角色】
Route::rule('roleList', 'admin/Role/list');//获取角色列表
Route::rule('roleAll', 'admin/Role/all');//获取全部角色
Route::rule('roleAdd', 'admin/Role/add');//添加角色
Route::rule('roleRead', 'admin/Role/read');//获取角色详情
Route::rule('roleEdit', 'admin/Role/edit');//编辑角色
Route::rule('roleDelete', 'admin/Role/delete');//删除角色
Route::rule('roleStatus', 'admin/Role/status');//启禁用角色

//【运营账号】
Route::rule('adminList', 'admin/Admin/list');//获取运营账号列表
Route::rule('adminAdd', 'admin/Admin/add');//添加运营账号
Route::rule('adminRead', 'admin/Admin/read');//获取运营账号详情
Route::rule('adminEdit', 'admin/Admin/edit');//编辑运营账号
Route::rule('adminDelete', 'admin/Admin/delete');//删除运营账号
Route::rule('adminStatus', 'admin/Admin/status');//启禁用运营账号
Route::rule('adminChangePasswod', 'admin/Admin/changePasswod');//更改密码
Route::rule('adminResetPasswod', 'admin/Admin/resetPasswod');//重置密码(慎用)


//【视频】
Route::rule('videoList', 'admin/Video/list');//获取视频列表
Route::rule('videoAdd', 'admin/Video/add');//添加视频
Route::rule('videoRead', 'admin/Video/read');//获取视频详情
Route::rule('videoEdit', 'admin/Video/rdit');//编辑视频
Route::rule('videoChange', 'admin/Video/change');//视频启禁用
Route::rule('videoDelete', 'admin/Video/delete');//删除视频

//【卡类型】
Route::rule('cardList', 'admin/Card/list');//获取卡类型列表
Route::rule('cardAll', 'admin/Card/all');//获取全部卡类型
Route::rule('cardAdd', 'admin/Card/add');//添加卡类型
Route::rule('cardRead', 'admin/Card/read');//获取卡类型详情
Route::rule('cardEdit', 'admin/Card/edit');//编辑卡类型
Route::rule('cardChange', 'admin/Card/change');//卡类型启禁用
Route::rule('cardDelete', 'admin/Card/delete');//删除卡类型

//【企业】
Route::rule('companyList', 'admin/Company/list');//获取企业列表
Route::rule('companyAll', 'admin/Company/all');//获取全部企业
Route::rule('companyAdd', 'admin/Company/add');//添加企业
Route::rule('companyRead', 'admin/Company/read');//获取企业详情
Route::rule('companyEdit', 'admin/Company/edit');//编辑企业
Route::rule('companyChange', 'admin/Company/status');//企业启禁用
Route::rule('companyDelete', 'admin/Company/delete');//删除企业

//【视频分组】
Route::rule('videoGroupList', 'admin/VideoGroup/list');//获取视频分组列表
Route::rule('videoGroupAdd', 'admin/VideoGroup/add');//添加视频分组
Route::rule('videoGroupRead', 'admin/VideoGroup/read');//获取视频分组详情
Route::rule('videoGroupEdit', 'admin/VideoGroup/edit');//编辑视频分组
Route::rule('videoGroupChange', 'admin/VideoGroup/status');//视频分组启禁用
Route::rule('videoGroupDelete', 'admin/VideoGroup/delete');//删除视频分组
Route::rule('videoGroupTop', 'admin/VideoGroup/top');//视频分组置顶
